org.apache.ignite.spi.metric

## Interface MetricExporterSpi

- All Superinterfaces:
    IgniteSpi
  All Known Implementing Classes:
    JmxMetricExporterSpi, LogExporterSpi, NoopMetricExporterSpi, OpenCensusMetricExporterSpi, org.apache.ignite.internal.processors.metric.PushMetricsExporterAdapter, SqlViewMetricExporterSpi

      public interface MetricExporterSpi
      extends IgniteSpi

  Exporter of metric information to the external recipient. Expected, that each implementation would support some specific protocol. Implementation of this Spi should work by pull paradigm. So after start SPI should respond to some incoming request. HTTP servlet or JMX bean are good examples of expected implementations.
  See Also:
    `ReadOnlyMetricManager`, `ReadOnlyMetricRegistry`, `Metric`, `BooleanMetric`, `DoubleMetric`, `IntMetric`, `LongMetric`, `ObjectMetric`, `JmxMetricExporterSpi`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setExportFilter(Predicate<ReadOnlyMetricRegistry> filter)` Sets export filter.
    `void` | `setMetricRegistry(ReadOnlyMetricManager registry)` Sets metrics registry that SPI should export.

    - ### Methods inherited from interface org.apache.ignite.spi.IgniteSpi

      `getName, getNodeAttributes, onClientDisconnected, onClientReconnected, onContextDestroyed, onContextInitialized, spiStart, spiStop`

- - ### Method Detail

    - #### setMetricRegistry

          void setMetricRegistry(ReadOnlyMetricManager registry)

      Sets metrics registry that SPI should export. This method called before `IgniteSpi.spiStart(String)`.
      Parameters:
        `registry` - Metric registry.

    - #### setExportFilter

          void setExportFilter(Predicate<ReadOnlyMetricRegistry> filter)

      Sets export filter. Metric registry that not satisfy `filter` shouldn't be exported.
      Parameters:
        `filter` - Filter.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020